## org.gnu.atk
Class Relation

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.Relation

public class Relation
extends GObject

Constructor Summary
`Relation(AtkObject[] targets, RelationType relationship)`
`Relation(org.gnu.glib.Handle handle)`

Method Summary
`void` `addTarget(AtkObject target)`
`RelationType` `getRelationType()`
`static RelationType` `getRelationTypeForName(java.lang.String name)`
`static java.lang.String` `getRelationTypeName(RelationType type)`
`AtkObject[]` `getTargets()`
`static RelationType` `registerType(java.lang.String name)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Relation

    public Relation(AtkObject[] targets,
                    RelationType relationship)

### Relation

    public Relation(org.gnu.glib.Handle handle)

Method Detail

### registerType

    public static RelationType registerType(java.lang.String name)

### getRelationTypeName

    public static java.lang.String getRelationTypeName(RelationType type)

### getRelationTypeForName

    public static RelationType getRelationTypeForName(java.lang.String name)

### getRelationType

    public RelationType getRelationType()

### getTargets

    public AtkObject[] getTargets()

### addTarget

    public void addTarget(AtkObject target)